com.creamtec.ajaxswing.laf.ui

## Class AjaxSwingScrollBarUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ScrollBarUI
    - - javax.swing.plaf.basic.BasicScrollBarUI
      - - javax.swing.plaf.metal.MetalScrollBarUI
        - - com.creamtec.ajaxswing.laf.ui.AjaxSwingScrollBarUI

- All Implemented Interfaces:
    java.awt.LayoutManager, javax.swing.SwingConstants

      public class AjaxSwingScrollBarUI
      extends javax.swing.plaf.metal.MetalScrollBarUI

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicScrollBarUI

      `javax.swing.plaf.basic.BasicScrollBarUI.PropertyChangeHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.text.NumberFormat` | `format`

    - ### Fields inherited from class javax.swing.plaf.metal.MetalScrollBarUI

      `FREE_STANDING_PROP`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingScrollBarUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalScrollBarUI

      `getPreferredSize`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicScrollBarUI

      `addLayoutComponent, getMaximumSize, getSupportsAbsolutePositioning, installUI, isThumbRollover, layoutContainer, minimumLayoutSize, paint, preferredLayoutSize, removeLayoutComponent, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMinimumSize, update`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          public static java.text.NumberFormat format

  - ### Constructor Detail

    - #### AjaxSwingScrollBarUI

          public AjaxSwingScrollBarUI()

  - ### Method Detail

    - #### createUI

          public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.